ORGANIZER(1)

NAME
organizer - file and directory manager

SYNOPSIS
organizer [ -A time ]

AVAILABILITY

Available only on Sun 386i systems running a SunOS 4.0.x release or earlier. Not a SunOS 4.1 release feature.

DESCRIPTION
organizer is a SunView application for viewing and manipulating files and directories. It performs many of the functions of the ls(1V), cd(1), chmod(1V), cp(1), mv(1), mkdir(1), rmdir(see rm(1)), and dump(8) commands, and with a visual interface.

At any given time, the organizer window normally shows the files and directories in a single directory, representing each file or directory with an appropriate illustrated icon. The illustration indicates whether a file is a directory, contains text, is an executable program, or optionally a user-defined file type.

When organizer is switched into Map mode, the icons are arranged to indicate the hierarchy of files and directories. Double clicking on a directory icon shows the contents of that directory in a new column.

Several display modes are available, and can be set for an individual organizer window or for all organizer windows. You can select whether hidden files are shown, whether just the name, the name and information, or name and icon are shown for each file and directory, and how the contents are sorted.

Text files can be “edited” by double clicking on the file's icon. The contents of the file are then shown and can be edited in a separate text editor window. In the .orgrc file you can specify the EXECUTE, EDIT, and PRINT applications for your own user-defined file types.

You can move down through the directory hierarchy by double clicking on a directory icon, and up by double clicking on the parent directory name on the ancestor list in the upper left corner of the organizer panel.

Copying, moving, and deleting require you to select one or more files. To select a file, click the left button on it (do not double click — this will open the file). To select additional files to be operated on, click the middle button on each additional file.

Copying and moving operations require a destination directory. After the files are selected, change directories to the desired destination as described above, and then “drop” the files with the Drop button on the command panel. If the copy involves overwriting an identically named file, an alert will allow you to confirm that you want to overwrite the file. If you copy a file and then “drop” it in the same directory, organizer will prepend copy_of_ to the file name of the new file.

OPTIONS

-A time
    Sets autoclose for time minutes. If organizer is not used for time minutes, it closes automatically.

FILES
/usr/include/images/*
    file and directory icons
~/.orgrc
../.DeletedOrgFiles
    organizer creates this directory to store files so you can undo the last thing you did, for example, deleting files.

SEE ALSO
mkdir(1), mv(1), rm(1), orgrc(5), restore(8)

Sun386i User's Guide
Sun386i Advanced Skills